<!DOCTYPE>
<html>
<head>
<style>
    table, td, th 
    {
        border: 1px solid black;
    }

    table
    {
        width: 100%;
        border-collapse: collapse;
    } 
    
</style>
<script>
    var k;
    fetch('https://jsonplaceholder.typicode.com/users')
    .then((response) => response.json())
    .then( fun=(json) =>{
        k=json;
    }).then(()=>{
        var table = document.createElement("table");
        var row = table.insertRow();
        var heading = document.createElement("th");
        var t1=document.createTextNode("NAME");
        document.heading.appendChild(t1);
        document.row.appendChild(heading);
        for (var i = 0; i <k.length; i++)
        {
            var row =document.createElement("row");
            for(var j=0; j<5;j++)
            {
                var cell=row.insertCell();
                if(j==0)
                {
                    cell.innerHTML=k[i].name;
                }
                else if(j==1)
                {
                    cell.innerHTML=k[i].email;
                }
                else if(j==2)
                {
                    cell.innerHTML=k[i].phone;
                }
                else if(j==3)
                {
                    cell.innerHTML=k[i].website;
                }
                else if(j==4)
                {
                    cell.innerHTML=k[i].company.name;
                }
            }
        //document.row.appendChild()  
        }
        // console.log(table);
        document.body.appendChild(table)
    });
    
    </script>
</head>
<body>
   <table id="tab">
       <tr>
           <th>name</th>
           <th>email</th>
           <th>phone</th>
           <th>website</th>
           <th>company name</th>
       </tr>
   </table>
   <!-- <style>
    table, td, th 
    {
        border: 1px solid black;
    }

    table
    {
        width: 100%;
        border-collapse: collapse;
    } 
    
</style>
<script>
    var k;
    fetch('https://jsonplaceholder.typicode.com/users')
    .then((response) => response.json())
    .then( fun=(json) =>{
        k=json;
    }).then(()=>{
        table=document.getElementById("tab");
        for (var i = 0; i <k.length; i++)
        {
            var row =document.createElement("tr");
            for(var j=0; j<5;j++)
            {
                var col=document.createElement("td");
                row.onclick = function()
                {
                    var win=open('./support.html');
                    window.addEventListener("message",(msg) => 
                    {
                        alert(msg.data);
                        win.postMessage('assign3','*');
                    })
                };
                if(j==0)
                {
                    colname=document.createTextNode(k[i].name)
                }
                else if(j==1)
                {
                    colname=document.createTextNode(k[i].email)
                }
                else if(j==2)
                {
                    colname=document.createTextNode(k[i].phone)
                }
                else if(j==3)
                {
                    colname=document.createTextNode(k[i].website)
                }
                else if(j==4)
                {
                    colname=document.createTextNode(k[i].company.name)
                }    
                col.appendChild(colname);
                row.appendChild(col);  
                table.appendChild(row);
            } 
        }
        document.body.appendChild(table);
    });
    
    </script>
</head>
<body>
   <table id="tab">
       <tr>
           <th>name</th>
           <th>email</th>
           <th>phone</th>
           <th>website</th>
           <th>company name</th>
       </tr>
   </table> -->

</body>
</html>